org.crosswire.jsword.book.install.sword

## Class FTPMsg

- java.lang.Object
- - org.crosswire.common.util.MsgBase
  - - org.crosswire.jsword.book.install.sword.FTPMsg

-     final class FTPMsg
      extends MsgBase

  Compile safe Msg resource settings.
  Author:
    Joe Walker
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static MsgBase` | `AUTH_REFUSED`
    `(package private) static MsgBase` | `CONNECT_REFUSED`
    `(package private) static MsgBase` | `CWD_REFUSED`
    `(package private) static MsgBase` | `DOWNLOAD_REFUSED`
    `private String` | `name`
    `(package private) static MsgBase` | `URL_AT_COUNT`
    `(package private) static MsgBase` | `URL_COLON_COUNT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FTPMsg(String name)` Passthrough ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class org.crosswire.common.util.MsgBase

      `lookup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTH_REFUSED

          static final MsgBase AUTH_REFUSED

    - #### CONNECT_REFUSED

          static final MsgBase CONNECT_REFUSED

    - #### CWD_REFUSED

          static final MsgBase CWD_REFUSED

    - #### DOWNLOAD_REFUSED

          static final MsgBase DOWNLOAD_REFUSED

    - #### URL_AT_COUNT

          static final MsgBase URL_AT_COUNT

    - #### URL_COLON_COUNT

          static final MsgBase URL_COLON_COUNT

    - #### name

          private String name

  - ### Constructor Detail

    - #### FTPMsg

          private FTPMsg(String name)

      Passthrough ctor

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the name